Name:           rosegarden
Version:        13.10
Release:        %mkrel 1
Summary:        Midi, audio and notation editor
URL:            http://www.rosegardenmusic.com/
Source0:        http://download.sourceforge.net/rosegarden/rosegarden-%{version}.tar.bz2
Patch0:         %{name}-1.9-fix-include.patch
Patch2:         %{name}-12.04-fix-qt4-search.patch
License:        GPLv2+
Group:          Sound/Midi
BuildRequires:  kdelibs4-devel
BuildRequires:  jackit-devel
BuildRequires:  ladspa-devel
BuildRequires:  liblrdf-devel
BuildRequires:  imagemagick
BuildRequires:  chrpath
BuildRequires:  libxml2-utils
BuildRequires:  dssi-devel
BuildRequires:  makedepend
BuildRequires:  fftw3-devel
BuildRequires:  python
BuildRequires:  liblo-devel
BuildRequires:  libxft-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  liblirc-devel
BuildRequires:  pkgconfig(sndfile)
Requires:       flac
Requires:       libsndfile-progs
# For sndfile-resample, see https://bugzilla.novell.com/show_bug.cgi?id=443543
# - AdamW 2008/12
Requires:       libsamplerate-progs
Requires:       xterm
Suggests:       lilypond
Obsoletes:      %{name}4

%description
Rosegarden is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%files -n %name -f %{name}.lang
%_bindir/%{name}
%{_datadir}/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/icons/*/*/*/*%{name}*
%_datadir/mime/*
%_datadir/appdata/rosegarden.appdata.xml
#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch2 -p0
perl -lpi -e 's#MACRO_HERE#'%{_libdir}'#g' acinclude.m4

%build
#generate configure
#sh bootstrap.sh
export JACK_CFLAGS=%{_includedir}
export JACK_LIBS=-ljack
autoreconf -fi
%configure2_5x --with-qtdir=%{_prefix}
%make

%install
%makeinstall_std

# isntall some extra files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr \
        data/autoload \
        data/chords \
        data/examples \
        data/fonts \
        data/library \
        data/pixmaps \
        data/presets \
        data/profile \
        data/styles \
        data/templates \
        %{buildroot}%{_datadir}/%{name}

%find_lang %{name} --with-html

#vim: set ft=rpm tabstop=4 shiftwidth=4 expandtab smarttab autoindent smartindent nu:




%changelog
* Sun Nov 03 2013 dlucio <dlucio> 13.10-1.mga4
+ Revision: 549298
- 13.10
- jackit workarround

* Sat Oct 19 2013 umeabot <umeabot> 13.06-2.mga4
+ Revision: 530435
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 fwang <fwang> 13.06-1.mga4
+ Revision: 457665
- add back path hack
- specify qtdir via parameter
- export path
- new versio 13.06

* Mon Jan 14 2013 umeabot <umeabot> 12.04-4.mga3
+ Revision: 380412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 cjw <cjw> 12.04-3.mga3
+ Revision: 334687
- add BuildRequires: pkgconfig(sndfile)

* Sun Nov 25 2012 zezinho <zezinho> 12.04-2.mga3
+ Revision: 321847
- fix rpm group

* Fri Jun 08 2012 shlomif <shlomif> 12.04-1.mga3
+ Revision: 257736
- 32-bit fix
- Try to fix the build failures.
- Fix the build with no QTDIR defined
- New version - 12.04

* Sat Dec 10 2011 eatdirt <eatdirt> 11.11.11-2.mga2
+ Revision: 180468
- Rebuilt for fftw-3.3

* Sun Nov 20 2011 kharec <kharec> 11.11.11-1.mga2
+ Revision: 169899
- new version 11.11.11

* Thu Nov 03 2011 fwang <fwang> 11.06-1.mga2
+ Revision: 162028
- new version 11.06

* Sat Apr 16 2011 shikamaru <shikamaru> 11.02-1.mga1
+ Revision: 86035
- new version 11.02
- imported package rosegarden

